Bug 206453 - net-p2p/bitcoin: Update to 0.11.2
Summary: net-p2p/bitcoin: Update to 0.11.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-01-20 22:54 UTC by Jochen Neumeister
Modified: 2016-01-23 17:57 UTC (History)
5 users (show)

See Also:
robbak: maintainer-feedback+


Attachments
bitcoin.diff (826 bytes, patch)
2016-01-20 22:55 UTC, Jochen Neumeister
robbak: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jochen Neumeister freebsd_committer 2016-01-20 22:54:37 UTC

    
Comment 1 Jochen Neumeister freebsd_committer 2016-01-20 22:55:34 UTC
Created attachment 165894 [details]
bitcoin.diff
Comment 3 robbak 2016-01-21 02:15:47 UTC
Thank you for this. 

There is a reason why I have not updated this port is that, in my opinion, and putting a nice fine point on it, the actions of bitcoin-core over the last months have been actively malicious. 

It is my opinion that this port should switch to some other repo. However, -unlimited seems poorly managed, -xt is too broad. My current choice is -classic, when they tag a stable release.

So, as to this - should I approve it? The more I think of it, the more I answer no, mostly because it includes the RBF stuff that should never have been committed.

Comments welcome.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-21 04:47:41 UTC
I'm not sure its our job to make decisions based on subjective things like that.

While, and until the bitcoin ecosystem players get their stuff sorted out, we need to remain objective and aligned with the purpose of ports in general.

Since bitcore-core is synonymous with 'bitcoin' at the moment, the existing name for this port remains suitable, and it's more than likely users want it to remain up to date, independent to what the outcome of the current debate out there in the world is.

+1 on landing the update
Comment 5 robbak 2016-01-21 06:30:08 UTC
(In reply to Kubilay Kocak from comment #4)
Ok, yeah. Much as I don't like it, keeping the port up-to-date with -core probably should be done, until a better option comes about.

With reservations, approved. My testing shows this update builds and runs well.
Comment 6 commit-hook freebsd_committer 2016-01-23 17:36:04 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 23 17:35:17 UTC 2016
New revision: 407045
URL: https://svnweb.freebsd.org/changeset/ports/407045

Log:
  Update to upstream release 0.11.2

  PR:		206453
  Submitted by:	jochen@jochen-neumeister.de
  Approved by:	robbak@gmail.com (maintainer / alternative e-mail address)

Changes:
  head/net-p2p/bitcoin/Makefile
  head/net-p2p/bitcoin/distinfo
  head/net-p2p/bitcoin/files/patch-src_net.cpp